跳轉到主要內容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-details
錢包 - 淨值詳情
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "isActive": true,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "accuAmount": "<string>",
      "avgCostUsd": "<string>",
      "lastActiveAt": 123,
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
      "realizedPnlInUsd": "<string>",
      "unrealizedPnlInUsd": "<string>",
      "walletTokenTags": [
        "<string>"
      ]
    }
  ],
  "netWorth": "11839478.53162622",
  "requestedTimestamp": "2025-07-31T04:50:06.303Z",
  "resolvedTimestamp": "2025-07-31T04:50:06.475Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
walletAddress
string
必填

錢包地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
hours
integer<int32>
預設值:0

快照小時數(0=即時,1-720=歷史快照,預設 0)

回應

200 - application/json

成功回應

Paginated wallet net-worth details (mirrors TS WalletNetWorthDetailsPage).

data
object[]
必填

代幣淨值明細列表

netWorth
string
必填

淨值(USD 計)

範例:

"11839478.53162622"

requestedTimestamp
string
必填

請求的快照時間戳

範例:

"2025-07-31T04:50:06.303Z"

resolvedTimestamp
string
必填

實際解析的快照時間戳

範例:

"2025-07-31T04:50:06.475Z"

walletAddress
string
必填

錢包地址

範例:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"

endCursor
string | null

目前頁結束游標

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

是否有下一頁

範例:

false

hasPrev
boolean

是否有上一頁

範例:

false

startCursor
string | null

目前頁起始游標

範例:

"eyJpZCI6InN0YXJ0In0="